Bug 1296171 - Require API to Create/update/Del Crush Rule
Summary: Require API to Create/update/Del Crush Rule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Calamari
Version: 1.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Christina Meno
QA Contact: Harish NV Rao
URL:
Whiteboard:
Depends On:
Blocks: 1291304
TreeView+ depends on / blocked
 
Reported: 2016-01-06 14:06 UTC by Nishanth Thomas
Modified: 2016-08-23 19:29 UTC (History)
6 users (show)

Fixed In Version: calamari-server-1.4.0-rc4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:29:25 UTC
Target Upstream Version:
icolle: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Nishanth Thomas 2016-01-06 14:06:14 UTC
Currently there is no API available to CRUD on crush rule

http://calamari.readthedocs.org/en/latest/calamari_rest/resources/resources.html#api-reference

This is a very critical requirement for us for USM 1.0

Comment 3 Christina Meno 2016-01-27 19:31:06 UTC
This work is really just following the template of work that exists for updating crush nodes. I expect that this is at least two weeks of effort. I don't agree that this is top priority though. The need in MVP-011 could be satisfied in using the crush map endpoint as it has the ability to update rules.

http://calamari.readthedocs.org/en/latest/calamari_rest/resources/resources.html#crush-map

Retrieve is implemented here already

http://calamari.readthedocs.org/en/latest/calamari_rest/resources/resources.html#crushruleviewset

I recommend coming back to this one after closing other 2.0.0 bugs.

Comment 5 Christina Meno 2016-03-02 18:39:13 UTC
Harish yes it will

Comment 7 Mike McCune 2016-03-28 22:39:30 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 9 Harish NV Rao 2016-08-01 11:08:24 UTC
able to create, delete and modify the crush rule using the 'crush_rule' api.

Comment 11 errata-xmlrpc 2016-08-23 19:29:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.